Skip to main content
Resource Center/Hardware/Host Operations

PowerResetHost

PowerResetHost

PUT/zstack/v1/hosts/power/{uuid}/actions

Operation ID

PowerResetHost

Since

4.7.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Path Parameters

  • uuid
    StringRequired

    The resource UUID.

Body Fields

  • method
    String

    Optional. The method to reboot the host.

  • returnEarly
    boolean

    Optional. Whether to make the result returned eralier.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns an empty JSON object {}.